#!/bin/sh

#
# This script crate libwebalizer_lang.LANG.so.
# LANG is replaced below LANG_LIST.
# written by Hiroki ATA(hata) <hata@kondara.org>.
#

BASE_NAME=webalizer_lang
# LANG_LIST="catalan chinese czech danish dutch english estonian finnish \
#   french german greek hungarian indonesian \
#   italian japanese korean polish portuguese portuguese_brazil \
#   romanian russian slovak spanish swedish"
LANG_LIST=`ls webalizer_lang.* | sed -e 's|webalizer_lang\.||g'`
LANG_LIB_OUT_DIR=../webalizer_lang


#
# compile libraries.
#
for l in ${LANG_LIST}
do
    if [ -f ${BASE_NAME}.${l}.c ]
    then
	rm ${BASE_NAME}.${l}.c
    fi

    sed s/_REPLACED_LANG_SUFFIX_/${l}/ < ${BASE_NAME}_shared.c \
         > ${BASE_NAME}.${l}.c
    make LANG_NAME=${l} all

    if [ -f ${BASE_NAME}.${l}.c ]
    then
	rm ${BASE_NAME}.${l}.c
    fi
done


#
# copy file for ../webalizer_lang directory.
#
if [ ! \( -d ${LANG_LIB_OUT_DIR} \) ]
then
    mkdir ${LANG_LIB_OUT_DIR}
fi

mv lib* ${LANG_LIB_OUT_DIR}
rm *.o
