/*
 * webalizer_lang_shared.h
 *
 * Copyright (C) 2000 Hiroki Ata<hata@kondara.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef WEBALIZER_LANG_INCLUDED
# define WEBALIZER_LANG_INCLUDED

typedef unsigned long u_long;
/**** defined in webalizer.h begin ****/
/* Response code structure */

#define IDX_2C(c1,c2)       (((c1-'a'+1)<<5)+(c2-'a'+1) )
#define IDX_3C(c1,c2,c3)    (((c1-'a'+1)<<10)+((c2-'a'+1)<<5)+(c3-'a'+1) )
#define IDX_4C(c1,c2,c3,c4) (((c1-'a'+1)<<15)+((c2-'a'+1)<<10)+((c3-'a'+1)<<5)+(c4-'a'+1) )

/* response code struct  */
struct response_code { char   *desc;
                       u_long count; };

/* Country code structure */
struct	country_code { u_long idx;
                         char *desc;
                       u_long count;
                       u_long files;
                       double  xfer; };

typedef struct country_code *CLISTPTR;

/**** defined in webalizer.h end ****/


/**** these functions are defined in libwabalizer_lang.hoge.so ****/
int         init_lang_module       ();
void        fini_lang_module       ();
const char* get_msg                (const char* pKey);
const char* get_country_code_desc  (u_long idx);
const char* get_response_code_desc (int n);
char**      get_short_month_tbl    ();
char**      get_long_month_tbl     ();
const char* get_help_message       (int n);
int         get_last_hlp_msg       ();  /* didn't use these function in 2.0x */
int         get_max_ctry           ();  /* didn't use these function in 2.0x */

#endif /* WEBALIZER_LANG_INCLUDED */
